> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a monitor report

> Get uptime statistics for a single monitor by ID in the selected time window

<Info>To get an uptime report for all monitors in a project check out the [Reports](/api-reference/uptime/reports/get-a-report) endpoint</Info>


## OpenAPI

````yaml get /uptime/monitors/{monitorId}/report
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /uptime/monitors/{monitorId}/report:
    get:
      tags:
        - Monitors
      summary: Get a monitor report
      description: >-
        Get uptime statistics for a single monitor by ID in the selected time
        window
      operationId: getUptimeMonitorReport
      parameters:
        - name: monitorId
          in: path
          description: ID of the monitor to report on
          required: true
          schema:
            type: integer
        - name: from
          in: query
          description: Start of the reporting window
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-04-01T00:00:00Z'
        - name: to
          in: query
          description: End of the reporting window
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-04-30T23:59:59Z'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, monitor report retrieved
          content:
            application/json:
              schema:
                properties:
                  id:
                    description: Monitor ID
                    type: integer
                    example: 12
                  name:
                    description: Monitor name
                    type: string
                    example: Website
                  incident_count:
                    description: >-
                      Number of incidents affecting this monitor in the selected
                      range
                    type: integer
                    example: 2
                  downtime:
                    description: Total downtime for this monitor in seconds
                    type: integer
                    example: 1500
                  availability:
                    description: >-
                      Availability for this monitor in the selected range, as a
                      percentage
                    type: number
                    format: float
                    example: 99.944
                  mttr:
                    description: Mean time to recovery (MTTR) for this monitor, in seconds
                    type: integer
                    example: 750
                    nullable: true
                  mtbf:
                    description: >-
                      Mean time between failures (MTBF) for this monitor, in
                      seconds
                    type: integer
                    example: 43200
                    nullable: true
                  highest_incident_impact:
                    $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                  incidents:
                    description: Incidents that affected this monitor in the selected range
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        project_id:
                          description: Parent project ID
                          type: integer
                          example: 1
                        type:
                          $ref: '#/components/schemas/Uptime.Incident.TypeEnum'
                        slug:
                          description: Incident unique slug name
                          type: string
                          example: APP-123
                        state:
                          $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                        status:
                          $ref: '#/components/schemas/Uptime.Incident.StatusEnum'
                        impact:
                          $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                        title:
                          description: Incident title
                          type: string
                          example: Service is not working as expected
                          maximum: 250
                          minimum: 1
                        description:
                          description: Description of the error that caused the incident
                          type: string
                          example: >-
                            The server answered with an unexpected status code:
                            503.
                          maximum: 2000
                          minimum: 1
                        exclude_from_downtime:
                          description: >-
                            Flag to exclude the incident from downtime
                            calculations
                          type: boolean
                          example: false
                        incident_at:
                          description: Date of incident confirmation
                          type: string
                          format: date-time
                          nullable: true
                        recovery_at:
                          description: Date of incident recovery
                          type: string
                          format: date-time
                          nullable: true
                        monitors:
                          description: List of monitors linked to the incident
                          type: array
                          items:
                            type: integer
                          example:
                            - 1
                            - 2
                            - 3
                          maxItems: 100
                          minItems: 1
                        created_at:
                          description: Date of creation for the entity
                          type: string
                          format: date-time
                        updated_at:
                          description: Date of last update for the entity
                          type: string
                          format: date-time
                      required:
                        - impact
                        - title
                        - exclude_from_downtime
                type: object
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
components:
  parameters:
    page:
      name: page
      in: query
      description: Page number to show
      required: false
      schema:
        type: integer
        example: 1
        default: 1
    per_page:
      name: per_page
      in: query
      description: Number of resources to return per page
      required: false
      schema:
        type: integer
        example: 20
        default: 20
        maximum: 100
        minimum: 1
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.ImpactEnum:
      type: string
      enum:
        - unknown
        - operational
        - degraded_performance
        - partial_outage
        - major_outage
        - maintenance
    Uptime.Incident.TypeEnum:
      type: string
      enum:
        - monitor
        - manual
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
    Uptime.Incident.StatusEnum:
      type: string
      enum:
        - ongoing
        - recovering
        - recovered
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '422':
      description: Error, unprocessable entity
      content:
        application/json:
          schema:
            description: Validation error schema
            properties:
              message:
                type: string
              errors:
                properties:
                  key:
                    type: array
                    items:
                      type: string
                      example: The key field is required
                type: object
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````